Subject: Re: winnt/95 authentication
From: [email-masked] (Paul Vincent Elia)

24 Aug 1997 01:53:13 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.3 (32)
Original-To: Ian Collins <[email-masked]>,
        "'Gnu win32 mailer'" <[email-masked]>
In-Reply-To: <[email-masked]
 .nz>
Original-Sender: [email-masked]

At 05:33 PM 8/20/97 +1200, Ian Collins wrote:
>Is there any way of authenticating a password against windows nt server
>domain security in gnu-win32?
>
>I have written a network service (similiar to telnetd) that I want to
>have authenticated before it will accept a connection.
>
>The PC it will run on will be either winnt or win95, and I want the
>program to authenticate a supplied password against domain security.
>
>Any ideas anyone?
>
>Many Regards,
>Ian Collins
>

I don't know the answer, but I've got two cents to put in on this one. It
would be great if getpwnam() and its related functions worked. This would
be a great path towards authenticating on Win95/WinNT while still keeping
Unix-sh ties.

  - Paul Elia

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".